"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.checkIfSdkIsSupported = checkIfSdkIsSupported;

var _xdl = require("@expo/xdl");

var _chalk = _interopRequireDefault(require("chalk"));

var _log = _interopRequireDefault(require("../../log"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

async function checkIfSdkIsSupported(sdkVersion, platform) {
  const isSupported = await _xdl.Versions.canTurtleBuildSdkVersion(sdkVersion, platform);

  if (!isSupported) {
    const storeName = platform === 'ios' ? 'Apple App Store' : 'Google Play Store';

    _log.default.error(_chalk.default.red(`Unsupported SDK version: our app builders don't have support for ${sdkVersion} version yet. Submitting the app to the ${storeName} may result in an unexpected behaviour`));

    throw new Error('Unsupported SDK version');
  }
}
//# sourceMappingURL=../../__sourcemaps__/commands/build/utils.js.map
