"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = generateModuleAsync;

var _path = _interopRequireDefault(require("path"));

var _fsExtra = _interopRequireDefault(require("fs-extra"));

var _CommandError = _interopRequireDefault(require("../../CommandError"));

var _promptQuestionsAsync = _interopRequireDefault(require("./promptQuestionsAsync"));

var _configureModule = _interopRequireDefault(require("./configureModule"));

var _fetchTemplate = _interopRequireDefault(require("./fetchTemplate"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

async function generateModuleAsync(newModuleProjectDir, options) {
  const newModulePathFromArgv = newModuleProjectDir && _path.default.resolve(newModuleProjectDir);

  const newModuleName = newModulePathFromArgv && _path.default.basename(newModulePathFromArgv);

  const newModuleParentPath = newModulePathFromArgv ? _path.default.dirname(newModulePathFromArgv) : process.cwd();
  const configuration = await (0, _promptQuestionsAsync.default)(newModuleName);

  const newModulePath = _path.default.resolve(newModuleParentPath, configuration.npmModuleName);

  if (await _fsExtra.default.exists(newModulePath)) {
    throw new _CommandError.default('MODULE_ALREADY_EXISTS', `Module '${newModulePath}' already exists!`);
  }

  await (0, _fetchTemplate.default)(newModulePath, options.template);
  await (0, _configureModule.default)(newModulePath, configuration);
}
//# sourceMappingURL=../../__sourcemaps__/commands/generate-module/generateModuleAsync.js.map
