"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _xdl = require("@expo/xdl");

var _chalk = _interopRequireDefault(require("chalk"));

var _log = _interopRequireDefault(require("../log"));

var _CommandError = _interopRequireDefault(require("../CommandError"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

async function action(options) {
  const username = await _xdl.UserManager.getCurrentUsernameAsync();

  if (username) {
    (0, _log.default)(`Logged in as ${_chalk.default.green(username)}`);

    _log.default.raw(username);
  } else {
    throw new _CommandError.default('NOT_LOGGED_IN', 'Not logged in');
  }
}

var _default = program => {
  program.command('whoami').alias('w').description('Checks with the server and then says who you are logged in as').asyncAction(action);
};

exports.default = _default;
//# sourceMappingURL=../__sourcemaps__/commands/whoami.js.map
