"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.installExitHooks = installExitHooks;

var _chalk = _interopRequireDefault(require("chalk"));

var _xdl = require("@expo/xdl");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function installExitHooks(projectDir) {
  // install ctrl+c handler that writes non-running state to directory
  if (process.platform === 'win32') {
    require('readline').createInterface({
      input: process.stdin,
      output: process.stdout
    }).on('SIGINT', () => {
      process.emit('SIGINT');
    });
  }

  process.on('SIGINT', () => {
    console.log(_chalk.default.blue('\nStopping packager...'));

    _xdl.Project.stopAsync(projectDir).then(() => {
      console.log(_chalk.default.green('Packager stopped.'));
      process.exit();
    });
  });
}
//# sourceMappingURL=__sourcemaps__/exit.js.map
