"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = printRunInstructionsAsync;

var _xdl = require("@expo/xdl");

var _chalk = _interopRequireDefault(require("chalk"));

var _log = _interopRequireDefault(require("./log"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

async function printRunInstructionsAsync() {
  let user = await _xdl.User.getCurrentUserAsync(); // If no user, we are offline and can't connect

  if (user) {
    _log.default.newLine();

    (0, _log.default)(_chalk.default.bold('Instructions to open this project on a physical device'));
    (0, _log.default)(`${_chalk.default.underline('Android devices')}: scan the above QR code.`);
    (0, _log.default)(`${_chalk.default.underline('iOS devices')}: run ${_chalk.default.bold('exp send -s <your-email-address>')} in this project directory in another terminal window to send the URL to your device.`); // NOTE(brentvatne) Uncomment this when we update iOS client
    // log(
    //   `Alternatively, sign in to your account (${chalk.bold(
    //     user.username
    //   )}) in the latest version of the Expo client on your iOS or Android device. Your projects will automatically appear in the "Projects" tab.`
    // );
  }

  _log.default.newLine();

  (0, _log.default)(_chalk.default.bold('Instructions to open this project on a simulator'));
  (0, _log.default)(`If you already have the simulator installed, run ${_chalk.default.bold('exp ios')} or ${_chalk.default.bold('exp android')} in this project directory in another terminal window.`);

  _log.default.newLine();
}
//# sourceMappingURL=__sourcemaps__/printRunInstructionsAsync.js.map
