"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _simpleSpinner = _interopRequireDefault(require("@expo/simple-spinner"));

var _xdl = require("@expo/xdl");

var _askUser = _interopRequireDefault(require("./askUser"));

var _log = _interopRequireDefault(require("./log"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

async function getRecipient(sendTo) {
  let recipient;

  if (sendTo) {
    if (typeof sendTo !== 'boolean') {
      recipient = sendTo;
    } else {
      recipient = await _xdl.UserSettings.getAsync('sendTo', null);
    }

    if (!recipient) {
      recipient = await _askUser.default.askForSendToAsync();
    }
  }

  return recipient;
}

async function sendUrlAsync(url, recipient) {
  (0, _log.default)('Sending URL to', recipient);

  _simpleSpinner.default.start();

  try {
    var result = await _xdl.Exp.sendAsync(recipient, url);
  } finally {
    _simpleSpinner.default.stop();
  }

  (0, _log.default)('Sent.');
  return result;
}

var _default = {
  getRecipient,
  sendUrlAsync
};
exports.default = _default;
//# sourceMappingURL=__sourcemaps__/sendTo.js.map
